
package gestioncasa;

public class Inicio {
    public static void main(String[] args) {  
        System.out.println("En estos momentos hay instanciadas "+Casa.devolverNumeroViviendas()+" viviendas");
        //     DECLARAR REFERENCIAS
        Casa casa1, casa2;
        //     INSTANCIAR OBJETOS
        casa1 = new Casa();
        System.out.println("En estos momentos hay instanciadas "+Casa.devolverNumeroViviendas()+" viviendas");
        casa2 = new Casa("LUIS GARCIA", 95);
        System.out.println("En estos momentos hay instanciadas "+Casa.devolverNumeroViviendas()+" viviendas");
        //     ASIGNAR VALORES A LOS ATRIBUTOS
        casa1.establecerPropietario("ALICIA MARTIN");
        casa1.establecerSuperficie(60, 50);      
        //     VISUALIZAR VALORES DE LOS ATRIBUTOS
        System.out.println("CASA 1 : ");
        System.out.println("propietario : "+casa1.devolverPropietario());
        System.out.println("superficie : "+casa1.devolverSuperficieTotal());
        System.out.println("CASA 2 : ");
        System.out.println("propietario : "+casa2.devolverPropietario());
        System.out.println("superficie total : "+casa2.devolverSuperficieTotal()); 
    }    
}